package com.ssj.service.weixin.sales.service;

import java.math.BigDecimal;

import com.ssj.bean.weixin.sales.domain.LibOrderDetails;
import com.ssj.bean.weixin.sales.domain.LibOrderRefunds;
import com.ssj.framework.core.common.service.BaseService;
import com.ssj.framework.core.util.ResponseEntity;


/** 
 * @author  ZhangCaibao 
 * @version 2017年4月24日 上午11:11:31 
 * 类说明 
 */
public interface LibOrderRefundsService extends BaseService<LibOrderRefunds, String>{
	
	public LibOrderRefunds findByLibIdCount(String libId,String initiateUserId,Integer step,String orderDetailsId);
	public LibOrderRefunds apply(LibOrderDetails  libOrderDetails,String type,String openId,String childName);
	public ResponseEntity saveOrderRefundsTwo(BigDecimal price,String refundsStat,String refundsReason,String id,String  type,Integer stat,String reason,String openId);
	public ResponseEntity saveOrderRefundsThree(String id,Integer  stat,String reason,String openId );
	public ResponseEntity saveOrderRefundsFour(String id,Integer  stat,String reason,String openId);
	public ResponseEntity saveOrderRefundsFives(String id,Integer  stat,String reason,String openId);
	public ResponseEntity saveOneRefundsZj(String id,Integer  stat,String reason ,String userId); 
	public ResponseEntity saveOneRefundsCw(String id,Integer  stat,String reason ,String userId );
	/**
	 * 
	* @param id
	* @param statVoid
	* 创建人：ZhangCaibao 
	* 2017年5月3日 下午5:15:22 
	* @void
	 */
	public void updateStatVoid(String orderDetailsId,Integer statVoid);

	/**
	 * 查询退狂进度记录，只有一条记录，通过状态做区分
	 * @param lsId
	 * @return
	 */
	LibOrderRefunds findByLessonServiceId (String lsId);
	
	public LibOrderRefunds findRefundByDetailId(String orderDetailsId, int statVoid);
	
}
